# Class ReceiverService

Namespace
  adas_core.Infrastructure.Services

Assembly
  adas-core.Infrastructure.dll

Provides functionality for receiving and processing incoming data, messages, or requests.

    public class ReceiverService

Inheritance
  object
  ReceiverService

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Constructors

### ReceiverService(IObservationService, ITreatmentService, IPatientService, IPumpService, IRecordingAlertService, IRecordingService, IAppointmentService, IAlarmService, IOptions<RabbitMqSettings>, ILogger<ReceiverService>)

    public ReceiverService(IObservationService observationService, ITreatmentService treatmentService, IPatientService patientsService, IPumpService pumpService, IRecordingAlertService recordingAlertService, IRecordingService recordingService, IAppointmentService appointmentService, IAlarmService alarmService, IOptions<RabbitMqSettings> settings, ILogger<ReceiverService> logger)

#### Parameters

`observationService` IObservationService
`treatmentService` ITreatmentService
`patientsService` IPatientService
`pumpService` IPumpService
`recordingAlertService` IRecordingAlertService
`recordingService` IRecordingService
`appointmentService` IAppointmentService
`alarmService` IAlarmService
`settings` IOptions<RabbitMqSettings>
`logger` ILogger<ReceiverService>

## Methods

### ProcessErrorQueue(string)

Asynchronously reprocesses messages from the specified error queue by deriving the target queue name from the routing key (with "Key" removed), resolving the associated service, and resubmitting the message. Operations are skipped when the bus is uninitialized, the derived queue name is empty, or no service is resolved.

    public Task ProcessErrorQueue(string errorQueueName)

#### Parameters

`errorQueueName` string

  The name of the error queue from which to reprocess messages.

#### Returns

Task